@echo off

set EXE=AutoCorr

del /F bad.bad                                 2>nul
del /F report.txt                              2>nul
set DR=%CD%
if %DR%_ == _ goto lerr2
echo =========================== >>report.txt 

del /F %DR%\ZAK\tab_out.txt %DR%\ZAKd\tab_out.txt %DR%\ZA2\tab_out.txt %DR%\ZA5\tab_out.txt %DR%\Z12-1\tab_out.txt %DR%\Z12-2\tab_out.txt %DR%\Z12-3\tab_out.txt %DR%\Z12-4\tab_out.txt %DR%\Z12-5\tab_out.txt %DR%\Z12-6\tab_out.txt %DR%\ZA3\tab_out.txt %DR%\ZA4\tab_out.txt %DR%\DI1\tab_out.txt %DR%\DIV\tab_out.txt %DR%\ZAK2\tab_out.txt %DR%\ZAK3\tab_out.txt %DR%\DIV3\tab_out.txt %DR%\INKZ\tab_out.txt %DR%\INKU\tab_out.txt %DR%\INKK\tab_out.txt %DR%\INKZ2\tab_out.txt %DR%\INKL\tab_out.txt %DR%\INCL_UDL\tab_out.txt %DR%\INCL2_UDL\tab_out.txt %DR%\INCL3_UDL\tab_out.txt %DR%\INCL3_UDL1W\tab_out.txt %DR%\INCL4_UDL\tab_out.txt %DR%\INCL5_UDL\tab_out.txt %DR%\INCL_SUBDIRS_UDL\tab_out.txt %DR%\ASC\tab_out.txt %DR%\ASN\tab_out.txt %DR%\INK\tab_out.txt %DR%\IN1\tab_out.txt %DR%\tbt\tab_out.txt  %DR%\rgi\tab_out.txt  %DR%\tkb\tab_out.txt  %DR%\tx2-big\tab_out.txt  %DR%\tk1\tab_out.txt %DR%\tk2\tab_out.txt %DR%\tk3\tab_out.txt %DR%\tk4\tab_out.txt %DR%\rgi_ao\tab_out.txt  2>nul
del /F %DR%\FZAK\tab_out.txt %DR%\FZA2\tab_out.txt %DR%\FZA3\tab_out.txt %DR%\FZA4\tab_out.txt %DR%\FDI1\tab_out.txt %DR%\FDIV\tab_out.txt %DR%\FZAK2\tab_out.txt %DR%\FZAK3\tab_out.txt %DR%\FDIV3\tab_out.txt %DR%\FINKZ\tab_out.txt %DR%\FINKU\tab_out.txt %DR%\FINKK\tab_out.txt %DR%\FINKZ2\tab_out.txt %DR%\FINKL\tab_out.txt %DR%\FINCL_UDL\tab_out.txt %DR%\FINCL2_UDL\tab_out.txt %DR%\FINCL3_UDL\tab_out.txt %DR%\FINCL4_UDL\tab_out.txt %DR%\FASC\tab_out.txt %DR%\FASN\tab_out.txt %DR%\FINK\tab_out.txt %DR%\FIN1\tab_out.txt %DR%\Ftbt\tab_out.txt  %DR%\Frgi\tab_out.txt  %DR%\Ftkb\tab_out.txt %DR%\Ftx2-big\tab_out.txt  %DR%\Ftk1\tab_out.txt %DR%\Ftk2\tab_out.txt %DR%\Frgi_ao\tab_out.txt   2>nul
del /F %DR%\IRLAS\tab_out.txt   2>nul
del /F %DR%\DIV-inc-subfolders\tab_out.txt   2>nul
del /F %DR%\DIV-well-prefix\tab_out.txt   2>nul
del /F %DR%\test-las\tab_out.txt %DR%\test-las2\tab_out.txt  %DR%\test-las2\DEV-TVD 2>nul
del /F %DR%\T\tab_out.txt %DR%\L\tab_out.txt %DR%\DE2\tab_out.txt   2>nul
del /F %DR%\ZA5ExtAlt\tab_out.txt %DR%\ZA2ExtAlt\tab_out.txt %DR%\ZA3ExtAlt\tab_out.txt %DR%\ZAK_TEST0XY\tab_out.txt 
del /F %DR%\xZAKx_COORD_TVDSS\tab_out.txt %DR%\xZAKx_COORD_TVD\tab_out.txt %DR%\xZAKx_COORD_UDL\tab_out.txt %DR%\xZAKx\tab_out.txt %DR%\xZAKx_column_COORD_UDL\tab_out.txt %DR%\xZAKx_column_TVD\tab_out.txt %DR%\xZAKx_column_COORD_TVD\tab_out.txt %DR%\xZAKx_column_UDL\tab_out.txt %DR%\xZAKx_column_TVDSS\tab_out.txt %DR%\xZAKx_column_COORD_TVDSS\tab_out.txt %DR%\xZAKx_TVDSS\tab_out.txt %DR%\xZAKx_TVD\tab_out.txt 
del /F %DR%\xZAKx_Angle_Azim\tab_out.txt %DR%\xZAKx_Angle_Azimi\tab_out.txt %DR%\xZAKx_column_Angle_Azim\tab_out.txt %DR%\xZAKx_column_Angle_Azimi\tab_out.txt
del /F %DR%\xZAKx_COORD_TVDSS\tab_out.txt %DR%\xZAKx_COORD_TVD\tab_out.txt %DR%\xZAKx_COORD_UDL\tab_out.txt %DR%\xZAKx\tab_out.txt %DR%\xZAKx_column_COORD_UDL\tab_out.txt %DR%\xZAKx_column_TVD\tab_out.txt %DR%\xZAKx_column_COORD_TVD\tab_out.txt %DR%\xZAKx_column_UDL\tab_out.txt %DR%\xZAKx_column_TVDSS\tab_out.txt %DR%\xZAKx_column_COORD_TVDSS\tab_out.txt %DR%\xZAKx_TVDSS\tab_out.txt %DR%\xZAKx_TVD\tab_out.txt
del /F %DR%\xZAKx_column_Angle_Azim_ext_declination\tab_out.txt


call one_test.bat  xZAKx_tab_Angle_Azimi  %EXE% %DR% 
call one_test.bat  xZAKx_tab_column_Angle_Azim  %EXE% %DR% 
call one_test.bat  xZAKx_tab_column_Angle_Azimi  %EXE% %DR% 
call one_test.bat  xZAKx_tab_column_COORD_TVD  %EXE% %DR% 
call one_test.bat  xZAKx_tab_column_COORD_TVDSS  %EXE% %DR% 
call one_test.bat  xZAKx_tab_column_COORD_UDL  %EXE% %DR% 
call one_test.bat  xZAKx_tab_column_TVDSS  %EXE% %DR% 
call one_test.bat  xZAKx_tab_column_UDL  %EXE% %DR% 
call one_test.bat  xZAKx_tab_TVD  %EXE% %DR% 
call one_test.bat  xZAKx_tab_TVDSS  %EXE% %DR% 
call one_test.bat  xZAKx_COORD_TVDSS  %EXE% %DR% 
call one_test.bat  xZAKx_COORD_TVD  %EXE% %DR% 
call one_test.bat  xZAKx_COORD_UDL  %EXE% %DR% 
call one_test.bat  xZAKx  %EXE% %DR% 
call one_test.bat  xZAKx_column_COORD_UDL  %EXE% %DR% 
call one_test.bat  xZAKx_column_TVD  %EXE% %DR% 
call one_test.bat  xZAKx_column_COORD_TVD  %EXE% %DR% 
call one_test.bat  xZAKx_column_UDL  %EXE% %DR% 
call one_test.bat  xZAKx_column_TVDSS  %EXE% %DR% 
call one_test.bat  xZAKx_column_COORD_TVDSS  %EXE% %DR% 
call one_test.bat  xZAKx_TVDSS  %EXE% %DR% 
call one_test.bat  xZAKx_TVD  %EXE% %DR% 
call one_test.bat  xZAKx_Angle_Azim  %EXE% %DR% 
call one_test.bat  xZAKx_Angle_Azimi  %EXE% %DR% 
call one_test.bat  xZAKx_column_Angle_Azim  %EXE% %DR% 
call one_test.bat  xZAKx_column_Angle_Azim_ext_declination  %EXE% %DR% 
call one_test.bat  xZAKx_column_Angle_Azimi  %EXE% %DR% 


call one_test.bat ZAK_TEST0XY %EXE% %DR% 
call one_test.bat L %EXE% %DR% 
call one_test.bat T %EXE% %DR% 
call one_test.bat ASC %EXE% %DR%
call one_test.bat ZAK %EXE% %DR% 
call one_test.bat ZAKd %EXE% %DR% 
call one_test.bat RGI %EXE% %DR% 
call one_test.bat RGI_AO %EXE% %DR% 
call one_test.bat TBT %EXE% %DR% 
call one_test.bat DE2 %EXE% %DR% 
call one_test.bat ZA2 %EXE% %DR% 
call one_test.bat ZA3 %EXE% %DR% 
call one_test.bat ZA4 %EXE% %DR% 
call one_test.bat ZA5 %EXE% %DR% 
call one_test.bat Z12-1 %EXE% %DR% 
call one_test.bat Z12-2 %EXE% %DR% 
call one_test.bat Z12-3 %EXE% %DR% 
call one_test.bat Z12-4 %EXE% %DR% 
call one_test.bat Z12-5 %EXE% %DR% 
call one_test.bat Z12-6 %EXE% %DR% 
call one_test.bat DI1 %EXE% %DR% 
call one_test.bat DIV %EXE% %DR% 
call one_test.bat ZAK2 %EXE% %DR% 
call one_test.bat ZAK3 %EXE% %DR% 
call one_test.bat INKK %EXE% %DR% 
call one_test.bat INKU %EXE% %DR% 
call one_test.bat DIV3 %EXE% %DR% 
call one_test.bat INKZ %EXE% %DR% 
call one_test.bat INKZ2 %EXE% %DR% 
call one_test.bat INKL %EXE% %DR% 
call one_test.bat INCL_UDL %EXE% %DR%  
call one_test.bat INCL2_UDL %EXE% %DR%  
call one_test.bat INCL3_UDL %EXE% %DR% 
call one_test.bat INCL3_UDL1W %EXE% %DR% 
call one_test.bat INCL4_UDL %EXE% %DR% 
call one_test.bat INCL5_UDL %EXE% %DR% 
call one_test.bat INCL_SUBDIRS_UDL %EXE% %DR% 
call one_test.bat ASN %EXE% %DR% 
call one_test.bat INK %EXE% %DR% 
call one_test.bat IN1 %EXE% %DR% 
call one_test.bat TKB %EXE% %DR% 
call one_test.bat tx2-big %EXE% %DR% 
call one_test.bat TK1 %EXE% %DR% 
call one_test.bat TK2 %EXE% %DR% 
call one_test.bat TK3 %EXE% %DR% 
call one_test.bat TK4 %EXE% %DR% 
call one_test.bat IRLAS %EXE% %DR% 
call one_test.bat DEV-TVD %EXE% %DR% 
call one_test.bat DIV-inc-subfolders %EXE% %DR% 
call one_test.bat DIV-well-prefix %EXE% %DR% 
call one_test.bat ZA5ExtAlt  %EXE% %DR% 
call one_test.bat ZA2ExtAlt  %EXE% %DR% 
call one_test.bat ZA3ExtAlt  %EXE% %DR% 


call one_test.bat FASC %EXE% %DR%
call one_test.bat FZAK %EXE% %DR% 
call one_test.bat FRGI %EXE% %DR% 
call one_test.bat FRGI_AO %EXE% %DR% 
call one_test.bat FTBT %EXE% %DR% 
call one_test.bat FZA2 %EXE% %DR% 
call one_test.bat FZA3 %EXE% %DR% 
call one_test.bat FZA4 %EXE% %DR% 
call one_test.bat FDI1 %EXE% %DR% 
call one_test.bat FDIV %EXE% %DR% 
call one_test.bat FZAK2 %EXE% %DR% 
call one_test.bat FZAK3 %EXE% %DR% 
call one_test.bat FINKK %EXE% %DR% 
call one_test.bat FINKU %EXE% %DR% 
call one_test.bat FDIV3 %EXE% %DR% 
call one_test.bat FINKZ %EXE% %DR% 
call one_test.bat FINKZ2 %EXE% %DR% 
call one_test.bat FINKL %EXE% %DR% 
call one_test.bat FINCL_UDL %EXE% %DR%  
call one_test.bat FINCL2_UDL %EXE% %DR%  
call one_test.bat FINCL3_UDL %EXE% %DR% 
call one_test.bat FINCL4_UDL %EXE% %DR% 
call one_test.bat FASN %EXE% %DR% 
call one_test.bat FINK %EXE% %DR% 
call one_test.bat FIN1 %EXE% %DR% 
call one_test.bat FTKB %EXE% %DR% 
call one_test.bat Ftx2-big %EXE% %DR% 
call one_test.bat FTK1 %EXE% %DR% 
call one_test.bat FTK2 %EXE% %DR% 
call one_test.bat FIRLAS %EXE% %DR% 
call one_test.bat FDEV-TVD %EXE% %DR% 
:llll
cd test-las
echo check equal wells >con
..\%EXE%.exe /w %DR%\test-las\TestLas.lst %DR%\test-las\tab_out.txt %DR%\zak.lck
cd ..

cd test-las2
echo check equal wells2 >con
..\%EXE%.exe /w %DR%\test-las2\TestLas.lst %DR%\test-las2\tab_out.txt %DR%\zak.lck
cd ..

:l1

set PAR=0.2 -r10
set PAREXACT=0.02 -r10

CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_Angle_Azimi\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_Angle_Azim\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_Angle_Azimi\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_COORD_TVD\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_COORD_TVDSS\tab_out.txt  0.3 -r10 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_COORD_UDL\tab_out.txt  0.8 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_TVDSS\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_UDL\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_TVD\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_TVDSS\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_COORD_TVDSS\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_COORD_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_COORD_UDL\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_COORD_UDL\tab_out.txt  0.7 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_COORD_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_UDL\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_TVDSS\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_COORD_TVDSS\tab_out.txt  0.3 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_TVDSS\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_Angle_Azim\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_Angle_Azimi\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_Angle_Azim\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_Angle_Azim_ext_declination\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_Angle_Azimi\tab_out.txt  %PAR% 



CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK_TEST0XY\tab_out.txt  7 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA5ExtAlt\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA2ExtAlt\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA3ExtAlt\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\L\tab_out.txt  2 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\T\tab_out.txt  2 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\ASC\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAKd\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\RGI\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\RGI_AO\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TBT\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DE2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA5\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-5\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-6\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DI1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK2\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKK\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKU\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKZ\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKZ2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL_UDL\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL2_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL3_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL3_UDL1W\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL4_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL5_UDL\tab_out.txt 2 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL_SUBDIRS_UDL\tab_out.txt 0.4 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\ASN\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\IN1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TKB\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\tx2-big\tab_out.txt  0.3 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\IRLAS\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DEV-TVD\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV-inc-subfolders\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV-well-prefix\tab_out.txt  %PAR% -i1

CompareTabs.exe %DR%\tab_out.txt  %DR%\FASC\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZAK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FRGI\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FRGI_AO\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTBT\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZA2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZA3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZA4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDI1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDIV\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZAK2\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZAK3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKK\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKU\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDIV3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKZ\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKZ2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL_UDL\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL2_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL3_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL4_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FASN\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FIN1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTKB\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Ftx2-big\tab_out.txt   0.3 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTK1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTK2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FIRLAS\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDEV-TVD\tab_out.txt  %PAR%

:l2

if not exist %DR%\test-las\tab_out.txt goto l22
echo Following wells differ from the first well: >>report.txt
type %DR%\test-las\tab_out.txt >>report.txt
type %DR%\test-las\tab_out.txt >>bad.bad
echo =========================== >>report.txt 

:l22

if exist bad.bad goto le
echo All is OK
echo All is OK >>report.txt 
notepad report.txt 
exit
:le

echo Some errors found. Check your program!!!!!!!!!
echo In subfolder Plugins you can find last versions of program DLL.
echo Try to copy DLL from folder Plugins into program subfolder ...\wlas\Plugins\

echo Some errors found. Check your program!!!!!!!!! >>report.txt 
echo In subfolder Plugins you can find last versions of program DLL. >>report.txt 
echo Try to copy DLL from folder Plugins into program subfolder ...\wlas\Plugins\  >>report.txt 

notepad report.txt 
exit
:lerr2
echo This is not Shell of Windows2000 or WindowsXP
echo Sorry...